Summary:	Gtk2 frontend for the mpd
Name:		gmpc
Version:	0.20.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound
URL:		http://gmpc.wikia.com/
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	scrollkeeper
BuildRequires:	gtk2-devel >= 2.12
BuildRequires:	libglade2.0-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libmpd-devel >= 0.19.2
BuildRequires:	gob2
BuildRequires:	intltool
BuildRequires:	curl-devel
BuildRequires:	libsexy-devel
BuildRequires:	libsoup-2.4-devel
BuildRequires:	vala
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
GMPC is a frontend for the mpd (Music Player Daemon). 
It's focused on being fast and easy to use, while making 
optimal use of all the functions in mpd.

%package devel
Summary:        GMPC development files
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}

%description devel
GMPC development files.

%prep
%setup -q

%build
%configure2_5x \
	--enable-system-libsexy \
	--disable-static

%make 

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std 

%find_lang %{name} --with-gnome

desktop-file-install \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Audio" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_iconsdir}/*/*/*/*
%{_mandir}/man1/%{name}*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gmpc
%{_includedir}/gmpc/*.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.20.0-2mdv2011.0
+ Revision: 610901
- rebuild

* Mon Apr 05 2010 Funda Wang <fwang@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 531611
- BR vala
- update file list
- new version 0.20.0

* Sat Dec 26 2009 Funda Wang <fwang@mandriva.org> 0.19.1-1mdv2010.1
+ Revision: 482375
- new version 0.19.1

* Sun Nov 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.19.0-1mdv2010.1
+ Revision: 469100
- update to new version 0.19.0

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.18.0-2mdv2010.0
+ Revision: 455842
- rebuild for new curl SSL backend

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 0.18.0-1mdv2010.0
+ Revision: 379379
- New version 0.18.0

* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.17.0-1mdv2009.1
+ Revision: 320707
- update to new version 0.17.0
- fix file list

* Wed Dec 03 2008 Funda Wang <fwang@mandriva.org> 0.16.1-1mdv2009.1
+ Revision: 309564
- new version 0.16.1

* Fri Oct 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.16.0-1mdv2009.1
+ Revision: 299062
- fix file list
- store config files in ~/.config
- add buildrequires on gob2
- update to new version 0.16.0
- fix urls

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.15.5.0-4mdv2009.0
+ Revision: 246265
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.15.5.0-2mdv2008.1
+ Revision: 170866
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.5.0-1mdv2008.1
+ Revision: 138545
- do not hardcode icon extension in desktop file
- set explict version on libmpd-devel
- set explicit version on libmpd-devel
- new version
- new license policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.1-1mdv2008.0
+ Revision: 52921
- new version
- drop X-MandrivaLinux category

* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.0-1mdv2008.0
+ Revision: 34383
- new version
- update url
- adjust buildrequires
- update description
- drop old menu style
- spec file clean


* Fri Feb 23 2007 Jérôme Soyer <saispo@mandriva.org> 0.14.0-1mdv2007.0
+ Revision: 125234
- Add BR
- New release 0.14.0
- Import gmpc

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 0.11.2-4mdv2007.0
- works on gnome-vfs2 instead of gnome-vfs

* Mon Sep 11 2006 Emmanuel Andry <eandry@mandriva.org> 0.11.2-3mdv2007.0
- xdg menu

* Tue Nov 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.11.2-2mdk
- Fix BuildRequires
- %%mkrel

* Wed Oct 20 2004 Jerome Soyer <saispo@mandrake.org> 0.11.2-1mdk
- First Mandrake Release

